CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
OAIServer Class Reference

## Public Member Functions
| OAIServer (&$DB, $RepDescr, &$ItemFactory, $SetsSupported=FALSE, $OaisqSupported=FALSE)
| AddFormat ($Name, $TagName, $SchemaLocation, $SchemaVersion, $NamespaceList, $ElementList, $QualifierList)
| FormatList ()
| FormatElementList ($FormatName)
| FormatQualifierList ($FormatName)
| GetFieldMapping ($FormatName, $LocalFieldName)
| SetFieldMapping ($FormatName, $LocalFieldName, $OAIFieldName)
| GetQualifierMapping ($FormatName, $LocalQualifierName)
| SetQualifierMapping ($FormatName, $LocalQualifierName, $OAIQualifierName)
| GetResponse ()
| ProcessIdentify ()
| ProcessGetRecord ()
| ProcessListRecords ($IncludeMetadata)
| ProcessListMetadataFormats ()
| ProcessListSets ()
| GetResponseBeginTags ()
| GetResponseEndTags ()
| GetRequestTag ($RequestType=NULL, $ReqArgList=NULL, $OptArgList=NULL)
| GetErrorTag ($ErrorCode, $ErrorMessage)
| GetRecordTags ($Item, $MetadataFormat, $IncludeMetadata=TRUE)
| EncodeIdentifier ($ItemId)
| DecodeIdentifier ($Identifier)
| EncodeResumptionToken ($StartingDate, $EndingDate, $MetadataFormat, $SetSpec, $ListStartPoint)
| DecodeResumptionToken ($ResumptionToken)
| DateIsInvalid ($Date)
| FormatTag ($Name=NULL, $Content=NULL, $Attributes=NULL, $NewIndentLevel=NULL)
| LoadArguments ()
| IsOaisqQuery ($SetString)
| TranslateOaisqEscapes ($Pieces)
| ParseOaisqQuery ($SetString, $FormatName)

## Public Attributes
| $DB
| $Args
| $RepDescr
| $ItemFactory
| $FormatDescrs
| $FormatFields
| $FieldMappings
| $QualifierMappings
| $IndentSize
| $SetsSupported
| $OaisqSupported

## Detailed Description

Definition at line 16 of file OAIServer.php.

## Member Function Documentation

OAIServer::AddFormat | ( |  | $Name,
|  |  | $TagName,
|  |  | $SchemaLocation,
|  |  | $SchemaVersion,
|  |  | $NamespaceList,
|  |  | $ElementList,
|  |  | $QualifierList
| ) |  |

Definition at line 80 of file OAIServer.php.

Referenced by OAIServer().

Here is the caller graph for this function:

OAIServer::DateIsInvalid | ( |  | $Date | ) |

Definition at line 957 of file OAIServer.php.

Referenced by ProcessListRecords().

Here is the caller graph for this function:

OAIServer::DecodeIdentifier | ( |  | $Identifier | ) |

Definition at line 896 of file OAIServer.php.

Referenced by ProcessGetRecord(), and ProcessListMetadataFormats().

Here is the caller graph for this function:

OAIServer::DecodeResumptionToken | ( |  | $ResumptionToken | ) |

Definition at line 932 of file OAIServer.php.

References $Args.

Referenced by ProcessListRecords().

Here is the caller graph for this function:

OAIServer::EncodeIdentifier | ( |  | $ItemId | ) |

Definition at line 889 of file OAIServer.php.

Referenced by GetRecordTags(), and ProcessIdentify().

Here is the caller graph for this function:

OAIServer::EncodeResumptionToken | ( |  | $StartingDate,
|  |  | $EndingDate,
|  |  | $MetadataFormat,
|  |  | $SetSpec,
|  |  | $ListStartPoint
| ) |  |

Definition at line 922 of file OAIServer.php.

Referenced by ProcessListRecords().

Here is the caller graph for this function:

OAIServer::FormatElementList | ( |  | $FormatName | ) |

Definition at line 122 of file OAIServer.php.

OAIServer::FormatList | ( |  | ) |

Definition at line 111 of file OAIServer.php.

OAIServer::FormatQualifierList | ( |  | $FormatName | ) |

Definition at line 128 of file OAIServer.php.

OAIServer::FormatTag | ( |  | $Name = `NULL`,
|  |  | $Content = `NULL`,
|  |  | $Attributes = `NULL`,
|  |  | $NewIndentLevel = `NULL`
| ) |  |

Definition at line 972 of file OAIServer.php.

Referenced by GetErrorTag(), GetRecordTags(), GetRequestTag(), ProcessGetRecord(), ProcessIdentify(), ProcessListMetadataFormats(), ProcessListRecords(), and ProcessListSets().

Here is the caller graph for this function:

OAIServer::GetErrorTag | ( |  | $ErrorCode,
|  |  | $ErrorMessage
| ) |  |

Definition at line 727 of file OAIServer.php.

References FormatTag().

Referenced by GetResponse(), ProcessGetRecord(), ProcessListMetadataFormats(), ProcessListRecords(), and ProcessListSets().

Here is the caller graph for this function:

OAIServer::GetFieldMapping | ( |  | $FormatName,
|  |  | $LocalFieldName
| ) |  |

Definition at line 134 of file OAIServer.php.

OAIServer::GetQualifierMapping | ( |  | $FormatName,
|  |  | $LocalQualifierName
| ) |  |

Definition at line 152 of file OAIServer.php.

OAIServer::GetRecordTags | ( |  | $Item,
|  |  | $MetadataFormat,
|  |  | $IncludeMetadata = `TRUE`
| ) |  |

Definition at line 732 of file OAIServer.php.

References EncodeIdentifier(), and FormatTag().

Referenced by ProcessGetRecord(), and ProcessListRecords().

Here is the caller graph for this function:

OAIServer::GetRequestTag | ( |  | $RequestType = `NULL`,
|  |  | $ReqArgList = `NULL`,
|  |  | $OptArgList = `NULL`
| ) |  |

Definition at line 689 of file OAIServer.php.

References FormatTag().

Referenced by GetResponse(), ProcessGetRecord(), ProcessIdentify(), ProcessListMetadataFormats(), ProcessListRecords(), and ProcessListSets().

Here is the caller graph for this function:

OAIServer::GetResponse | ( |  | ) |

Definition at line 169 of file OAIServer.php.

References GetErrorTag(), GetRequestTag(), GetResponseBeginTags(), GetResponseEndTags(), ProcessGetRecord(), ProcessIdentify(), ProcessListMetadataFormats(), ProcessListRecords(), and ProcessListSets().

OAIServer::GetResponseBeginTags | ( |  | ) |

Definition at line 662 of file OAIServer.php.

Referenced by GetResponse(), ProcessGetRecord(), ProcessIdentify(), ProcessListMetadataFormats(), ProcessListRecords(), and ProcessListSets().

Here is the caller graph for this function:

OAIServer::GetResponseEndTags | ( |  | ) |

Definition at line 680 of file OAIServer.php.

Referenced by GetResponse(), ProcessGetRecord(), ProcessIdentify(), ProcessListMetadataFormats(), ProcessListRecords(), and ProcessListSets().

Here is the caller graph for this function:

OAIServer::IsOaisqQuery | ( |  | $SetString | ) |

Definition at line 1071 of file OAIServer.php.

Referenced by ProcessListRecords().

Here is the caller graph for this function:

OAIServer::LoadArguments | ( |  | ) |

Definition at line 1045 of file OAIServer.php.

Referenced by OAIServer().

Here is the caller graph for this function:

OAIServer::OAIServer | ( | & | $DB,
|  |  | $RepDescr,
|  | & | $ItemFactory,
|  |  | $SetsSupported = `FALSE`,
|  |  | $OaisqSupported = `FALSE`
| ) |  |

Definition at line 21 of file OAIServer.php.

References $DB, $ItemFactory, $OaisqSupported, $RepDescr, $SetsSupported, AddFormat(), and LoadArguments().

OAIServer::ParseOaisqQuery | ( |  | $SetString,
|  |  | $FormatName
| ) |  |

Definition at line 1103 of file OAIServer.php.

References TranslateOaisqEscapes().

Referenced by ProcessListRecords().

Here is the caller graph for this function:

OAIServer::ProcessGetRecord | ( |  | ) |

Definition at line 279 of file OAIServer.php.

References DecodeIdentifier(), FormatTag(), GetErrorTag(), ItemFactory\GetItem(), GetRecordTags(), GetRequestTag(), GetResponseBeginTags(), and GetResponseEndTags().

Referenced by GetResponse().

Here is the caller graph for this function:

OAIServer::ProcessIdentify | ( |  | ) |

Definition at line 229 of file OAIServer.php.

References EncodeIdentifier(), FormatTag(), GetRequestTag(), GetResponseBeginTags(), and GetResponseEndTags().

Referenced by GetResponse().

Here is the caller graph for this function:

OAIServer::ProcessListMetadataFormats | ( |  | ) |

Definition at line 553 of file OAIServer.php.

References DecodeIdentifier(), FormatTag(), GetErrorTag(), GetRequestTag(), GetResponseBeginTags(), and GetResponseEndTags().

Referenced by GetResponse().

Here is the caller graph for this function:

OAIServer::ProcessListRecords | ( |  | $IncludeMetadata | ) |

Definition at line 344 of file OAIServer.php.

References $Args, DateIsInvalid(), DecodeResumptionToken(), EncodeResumptionToken(), FormatTag(), GetErrorTag(), ItemFactory\GetItem(), ItemFactory\GetItems(), GetRecordTags(), GetRequestTag(), GetResponseBeginTags(), GetResponseEndTags(), IsOaisqQuery(), and ParseOaisqQuery().

Referenced by GetResponse().

Here is the caller graph for this function:

OAIServer::ProcessListSets | ( |  | ) |

Definition at line 603 of file OAIServer.php.

References FormatTag(), GetErrorTag(), GetRequestTag(), GetResponseBeginTags(), and GetResponseEndTags().

Referenced by GetResponse().

Here is the caller graph for this function:

OAIServer::SetFieldMapping | ( |  | $FormatName,
|  |  | $LocalFieldName,
|  |  | $OAIFieldName
| ) |  |

Definition at line 146 of file OAIServer.php.

OAIServer::SetQualifierMapping | ( |  | $FormatName,
|  |  | $LocalQualifierName,
|  |  | $OAIQualifierName
| ) |  |

Definition at line 164 of file OAIServer.php.

OAIServer::TranslateOaisqEscapes | ( |  | $Pieces | ) |

Definition at line 1080 of file OAIServer.php.

Referenced by ParseOaisqQuery().

Here is the caller graph for this function:

## Member Data Documentation

OAIServer::$Args

Definition at line 215 of file OAIServer.php.

Referenced by DecodeResumptionToken(), and ProcessListRecords().

OAIServer::$DB

Definition at line 214 of file OAIServer.php.

Referenced by OAIServer().

OAIServer::$FieldMappings

Definition at line 220 of file OAIServer.php.

OAIServer::$FormatDescrs

Definition at line 218 of file OAIServer.php.

OAIServer::$FormatFields

Definition at line 219 of file OAIServer.php.

OAIServer::$IndentSize

Definition at line 222 of file OAIServer.php.

OAIServer::$ItemFactory

Definition at line 217 of file OAIServer.php.

Referenced by OAIServer().

OAIServer::$OaisqSupported

Definition at line 224 of file OAIServer.php.

Referenced by OAIServer().

OAIServer::$QualifierMappings

Definition at line 221 of file OAIServer.php.

OAIServer::$RepDescr

Definition at line 216 of file OAIServer.php.

Referenced by OAIServer().

OAIServer::$SetsSupported

Definition at line 223 of file OAIServer.php.

Referenced by OAIServer().

The documentation for this class was generated from the following file:

- lib/ScoutLib/OAIServer.php